# norootforbuild

Name:		yad
Version:	0.16.3
Release:	1.5

Summary:	A fork of Zenity with many improvements
License:	GPLv3
Group:		Development/Tools/GUI Builders
URL:		http://code.google.com/p/yad/

Source0:	%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtk2-devel intltool pkgconfig update-desktop-files


%description
Yad (yet another dialog) is a fork of Zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.

There were two main reasons to make this fork. The first one is to remove
dependencies on deprecated libraries, such as libglade and gnome-canvas.
And the second one - as for me, Zenity looks like an abandoned project.
Its ChangeLog consists of just "bump version to..." and "translation updated"
for the long time, but many interesting ideas which are ignored by
developers/maintainers were in GNOME Bugzilla.


%prep
%setup -q -n %{name}-%{version}


%build
%configure --enable-icon-browser
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall
%find_lang %{name}

%suse_update_desktop_file -r %{name}-icon-browser Utility DesktopUtility

%clean
rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-icon-browser
%{_datadir}/applications/%{name}-icon-browser.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Dec  9 2011 detlef@links2linux.de
- new upstream version <0.16.3>
  * fix text settings in text-info dialog on gtk3
  * fix --percentage option in progress dialog
  * recognize special characters like \n in form labels
* Sun Nov 27 2011 detlef@links2linux.de
- new upstream version <0.16.2>
  * always set first item as active for combo-box in entry dialog
  * fix includes in print for build with gtk3
* Fri Nov 25 2011 detlef@links2linux.de
- new upstream version <0.16.1>
  * add initial sorting to yad icon browser
  * remove some deprecated calls
  * fix build with gtk+-3.0
* Tue Nov 22 2011 detlef@links2linux.de
- new upstream version <0.16.0>
  * add printing dialog
  * add callbacks for dialog buttons
  * add icons for popup menu in notification icon
  * add french translation
  * make Return works for combo-boxes in entry dialog
  * change notification behavior. if --listen is specified, left
    click on icon doesn't close it
  * add --text-align option for aligning dialog text
* Sun Nov  6 2011 detlef@links2linux.de
- new upstream version <0.15.1>
  * fix grid placement in form dialog
  * fix popup menu in editable lists
  * fix escaping markup text
  * update man page
* Sun Oct 23 2011 detlef@links2linux.de
- new upstream version <0.15.0>
  * add multiple progress bars dialog
  * add field control for buttons in form dialog
  * keep current directory in auxiliary file selectors in form dialog
  * add tooltips for form buttons
  * add new field types: SFL for create new file and CDIR for create new dir
  * add --tooltip option for dnd dialog
  * fix setting initial value for numeric field in form dialog
  * add --print-xid option
  * for progress dialog the default button is gtk-close now
  * user can specify gtk version in ./configure script
  * new yad icons (special thanks to Bogdan Lisovich)
* Fri Sep  9 2011 detlef@links2linux.de
- new upstream version <0.14.2>
  * fix broken dialog text placement
* Mon Sep  5 2011 detlef@links2linux.de
- new upstream version <0.14.1>
  * add regex search to list dialog
  * add --page option for scale dialog
  * add marks to scale dialog
  * add expander for main widget
  * bug fixes
* Tue Aug 16 2011 detlef@links2linux.de
- new upstream version <0.13.0>
  * fixes for icons in entry dialog
  * add icons for editable combo-boxes in entry dialog
  * add new field types for form dialog - labels and buttons
  * fix blinking behavior in notification icon.
  * some improvements in user-defined double-click action for list dialog
  * dialog text can be selected if --selectable-labels specified
  * fix image clipping in gtk+-3.0
  * fix tooltips in list dialog
  * fix wrapping dialog's text
  * add --border option for set margins around dialog widgets
  * add names for widgets for customize dialog look&feel through .gtkrc
  * fix handling window icon
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <0.12.4>
  * fix output for image fields in list dialog
  * fix Enter behavior in list dialog
  * update license information in sources
* Sat Jun 25 2011 detlef@links2linux.de
- new upstream version <0.12.3>
  * fix build with gtk3
  * update man page
* Sat Jun 18 2011 detlef@links2linux.de
- new upstream version <0.12.2>
  * wrap dialog text when width or geometry specified
  * fix icon handling in motification
  * fix timeout indicator orientation
  * fix typo in man page and russian translation
* Tue Jun  7 2011 detlef@links2linux.de
- new upstream version <0.12.1>
  * add icons to entry dialog
  * add --details option to calendar dialog
  * add new field types to form dialog: CBE for editable combo-boxes, DT for date field.
  * and MFL for choose multiple files
  * add user-specified doubleclick actions to list dialog
  * makes YAD buildable under MS Windows
  * code cleanups
* Mon May 16 2011 detlef@links2linux.de
- new upstream version <0.11.0>
* Sat Apr 16 2011 detlef@links2linux.de
- new upstream version <0.10.2>
  * fix wrong memory allocation when handling makrup text
  * fix reading data from stdin in text dialogs
  * 'always selected' settings in list dialog works only for command-line data
  * update README and manual page
* Fri Apr  8 2011 detlef@links2linux.de
- new upstream version <0.10.1>
  * fix URI handling in dnd dialog for non-gtk applications
  * fix sizing for gtk3 builds
* Fri Apr  1 2011 detlef@links2linux.de
- new upstream version <0.10.0>
  * fix in markup tooltips in list and icons dialogs
  * limits for number of rows in lists
  * support for settings row attributes in lists
  * vertical and invert scale dialog
  * numeric entry
  * new font selection dialog
  * tagging URIs in text dialog.
  * new option --kill-parent for send SIGTERM to parent process
  * fix URI handling in dnd dialog
* Sun Mar 13 2011 detlef@links2linux.de
- new upstream version <0.9.1>
  * fix handle markup for tooltips in list and icons dialogs
  * add ukrainian and update slovak translations
  * use GtkComboBoxText in entry and form dialogs when gtk+ >= 2.24.x is used
* Thu Mar  3 2011 detlef@links2linux.de
- new upstream version <0.9.0>
  * fix --hide-column option in list dialog
  * fix settting up initial value in scale dialog
  * add --expand-column option in list dialog
  * add aliased name --color-selection for --color dialog
* Sun Jan 30 2011 detlef@links2linux.de
- new upstream version <0.8.0>
  * fix --auto-kill option in progress dialog
  * fix setting initial value in DIR field of form dialog
* Fri Jan 14 2011 detlef@links2linux.de
- new upstream version <0.8.0>
  * add --icon-theme option for use specific icon theme.
    instead of default
  * add --align option for label alignment in form dialog
  * fix handling ESC for return proper exit code
  * fix handling colons in options
  * add yad-icon-browser, a separate tool for exploring GTK icon.
    themes
  * add autoconf macros AM_PATH_YAD for easily check for yad when
    use autotools
* Mon Dec  6 2010 detlef@links2linux.de
- new upstream version <0.7.2>
  * Fix bug with launching commands in icons dialog
  * Remove column title from compact view in icons dialog
* Sat Dec  4 2010 detlef@links2linux.de
- new upstream version <0.7.1>
* Sat Nov 13 2010 detlef@links2linux.de
- new upstream version <0.6.0>
* Sun Oct 17 2010 detlef@links2linux.de
- new upstream version <0.5.2>
* Wed Oct 13 2010 detlef@links2linux.de
- new upstream version <0.5.1>
  * fix segfault in --checklist
* Sat Oct  9 2010 detlef@links2linux.de
- new upstream version <0.5.0>
  * po/de.po, po/ru.po, po/sk.po, src/option.c: set name of initial
    color value to --init-color for avoid set aliased parameter
    in scale dialog (e.g. --scale-value instead of --value)
* Tue Aug 31 2010 detlef@links2linux.de
- new upstream version <0.4.0>
  * add --no-headers option in list dialog
  * add tooltip column type for list dialog
  * fix tail mode in text dialog
  * initial value in color dialog now sets as --init-color
  * code cleanups
* Fri Jul 23 2010 detlef@links2linux.de
- new upstream version <0.3.1>
  * update slovak translation
  * fix key handling in editable lists
  * fix format string vulnerability in file dialog
  * fix handling quickly piped lots of data from stdin
* Sun Jul 11 2010 detlef@links2linux.de
- new upstream version <0.3.0>
  * add iconbox dialog
  * fix option parsing
  * improvements in notification icon and list dialog
  * update translations
* Tue May 11 2010 detlef@links2linux.de
- new upstream version <0.2.1>
  * improve keyboard navigation
  * update man page
  * add slovak translation
  * add label to timeout indicator
  * some fixes in dnd dialog
* Mon Apr  5 2010 detlef@links2linux.de
- new upstream version <0.2.0>
  * add drag-and-drop box dialog
  * fix --confirm-overwrite option for fileselection dialog
  * fix --mouse position placement
  * add remainind time indicator for --timeout option
  * code cleaun
  * fix typos in man page
* Fri Mar 19 2010 detlef@links2linux.de
- new upstream version <0.1.0>
  * add types to form fields and list columns
  * change default behaviour when print list results (print full row instead of
    first column)
  * new --mouse options for place dialog under mouse position
* Sat Mar  6 2010 detlef@links2linux.de
- new upstream version <0.0.10>
  * add rtl direction to progress bar
  * add --image-on-top option.
  * set cursor invisible when text is not editable in text dialog
  * add oprtion for setting colors of text-dialog
  * add --tail options to text dialog for autoscrolling
  * add predefined colors to color dialog
  * recognize 'quit' command from stdin in notification icon
  * add types to fields in form dialog
  * usage examples now on wiki
  * cleanups and bugfixes
* Fri Feb  5 2010 detlef@links2linux.de
- new upstream version <0.0.9>
  * fix bug in progress dialog
  * add .spec file
  * update man page
* Tue Jan  5 2010 detlef@links2linux.de
- initial build for PackMan <0.0.8>
